Page MenuHomePhabricator

Second iteration of the Technical Collaboration strategy
Closed, ResolvedPublic

Description

After T124021: Define the Technical Collaboration team strategy we have a first iteration of our team strategy at https://meta.wikimedia.org/wiki/Technical_Collaboration/Strategy

This strategy is the result of an eminently internal team discussion, design as such. Now we want to go through a second iteration based on feedback from our stakeholders and the teams we want to collaborate with.

Please leave your feedback at https://meta.wikimedia.org/wiki/Talk:Technical_Collaboration/Strategy -- this task is only for tracking purposes.

Related Objects

StatusAssignedTask
ResolvedQgil
ResolvedQgil
ResolvedRfarrand
ResolvedQgil
ResolvedKeegan
ResolvedQgil
ResolvedQgil
ResolvedQgil
DeclinedQgil
ResolvedQgil
ResolvedQgil
ResolvedQgil
ResolvedQgil
DeclinedNone
DeclinedQgil
DeclinedQgil
DeclinedQgil
DeclinedDrbug
DeclinedTgr
ResolvedQgil
DeclinedAlexCella
ResolvedDeskana
ResolvedLydia_Pintscher
ResolvedLydia_Pintscher
ResolvedQgil
DeclinedQgil
DeclinedQgil
ResolvedQgil
OpenNone
ResolvedTgr
OpenTgr
ResolvedArielGlenn
Resolved bd808
ResolvedNone
ResolvedDzahn
Resolved bd808
ResolvedJoe
ResolvedJoe
ResolvedJoe
ResolvedJAllemandou
ResolvedOttomata
Resolved bd808
Resolved bd808
OpenNone
DeclinedNone
Resolved bd808
StalledEvanProdromou
OpenNone
OpenNone
ResolvedQgil
DeclinedNone
DeclinedNone
ResolvedAklapper
ResolvedLcanasdiaz
ResolvedLcanasdiaz
ResolvedAklapper
ResolvedDicortazar
DeclinedAklapper
ResolvedLcanasdiaz
ResolvedLcanasdiaz
ResolvedLcanasdiaz
ResolvedAklapper
ResolvedAklapper
StalledNone
OpenNone
ResolvedAcs
ResolvedAklapper
ResolvedLcanasdiaz
DeclinedNone
DeclinedQgil
Resolved bd808
ResolvedQgil
ResolvedLucie
ResolvedQgil
ResolvedAklapper
ResolvedLcanasdiaz
DeclinedNone
ResolvedNone
ResolvedQuiddity

Event Timeline

Qgil created this task.Apr 3 2016, 9:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 3 2016, 9:47 AM
Qgil triaged this task as Low priority.Apr 3 2016, 9:49 AM
Qgil updated the task description. (Show Details)
Elitre added a subscriber: Elitre.Apr 13 2016, 2:35 PM
Qgil added a comment.Apr 26 2016, 7:49 AM

Sorry for the noise with notifications. All these tasks are not actual blockers of the next strategy round, but ideas that we had over time that are all loose in our backlog, and that now could inform our strategy. And the other way around, a team strategy defined in more detail can help us determining the current relevance and priority of these tasks.

I will not have time to focus on this task or its blockers during this month. I'm pushing it to the next quarter.

At this point, I'd rather wait until the new developer advocate joins the team (T137801) with a fresh perspective.

On a second or third thought... The current version of the strategy is good enough to inform our next steps, and there is an upcoming Wikimedia Strategy starting on January 2017. This means that there will be enough strategic discussions from January onward, and we could sync the next iteration on our team strategy to that bigger process.

@Keegan has volunteered to take this task. Thank you!

Keegan changed the task status from Open to Stalled.Jun 30 2017, 4:59 PM

As I discussed with Quim, this task ended up stalled this quarter because of demands on the team's time. To do this properly, we need:

  1. Everyone on the team read, know, and understand the current strategy
  2. Everyone on the team take the time to develop their own thoughts on the subject before coming into the meeting
  3. Everyone be available for the meeting

Not sure about everywhere else, but here that's quite the time commitment. I think we can do it last week of July, I'll start prepping the team when I get back from vacation.

Maybe resetting to open reflects reality better? Internal review has happened.

Maybe resetting to open reflects reality better? Internal review has happened.

This task is currently open, but stalled by time constraints.

Which internal review is this?

I think I mixed up tasks/concepts.

Keegan changed the task status from Stalled to Open.Sep 5 2017, 5:02 PM
Keegan raised the priority of this task from Low to Normal.
Keegan closed this task as Resolved.Sep 14 2017, 6:28 PM

Members of the TC team met to discuss the team strategy, now that we're about 18 months into its existence. Notes are here: https://etherpad.wikimedia.org/p/tc_strategy_2017

Key points:

Overall, the team thinks the strategy has not changed in a significant way
Overall, the team is okay with the strategy page
The page needs updates to bring it into current WMF practices (remove PDP mentions, for example), remove jargon, provide nutshells and basic section summaries
Some of these updates have already been done, the rest can happen at any time.

Qgil awarded a token.Sep 15 2017, 8:44 AM